#ifndef _TAC_UTMP_H_
#define _TAC_UTMP_H_

#include <netinet/in.h>

#define UTMP_T struct tac_utmp
#define UT_NAMESIZE 8
#define UT_LINESIZE 8
#define UT_HOSTSIZE 16

struct tac_utmp {
  char ut_line[UT_LINESIZE];
  char ut_user[UT_NAMESIZE];
  char ut_host[UT_HOSTSIZE];
  long ut_time;
  struct in_addr ut_addr;
};

#ifndef UT_LINESIZE
#define UT_LINESIZE sizeof(((UTMP_T *)0)->ut_line)
#define UT_NAMESIZE sizeof(((UTMP_T *)0)->ut_user)
#define UT_HOSTSIZE sizeof(((UTMP_T *)0)->ut_host)
#endif

#endif
